Submitted by : 127.0.0.1 at: 2004-05-06T04:57:51+00:00 (13 years ago)
Name :
Category : Severity : Status :
Optional subject :  
Optional comment :

the sum() function is called to compute average, but it isn't supported in python2.1 or 2.2, only in 2.3 and above. Debian packages Zope with python 2.2, so zwiki doesn't work there.

damn! --simon, Thu, 06 May 2004 12:06:42 -0700 reply

> Debian packages Zope with python 2.2

That too is a bug surely. Python developers have advised people not to use 2.2 for ever.

workaround --simon, Thu, 06 May 2004 12:30:39 -0700 reply

Disable 'Zwiki: Rate pages' permission, or pull the latest version from CodeRepos.

fixed for 0.31 --simon, Thu, 06 May 2004 12:31:40 -0700 reply

Title: 'IssueNo0794? sum is not supported in python2.2' => 'IssueNo0794? 0.30 requires python2.3, incompatible with debian zope package' Status: open => closed

property change --simon, Thu, 06 May 2004 12:32:07 -0700 reply

Title: 'IssueNo0794? 0.30 requires python2.3, incompatible with debian zope package' => 'IssueNo0794? 0.30 rating support requires python2.3, incompatible with debian zope package'